#include "chan_dmy.h"

void post_seterr(char *s) {}
char *chan_elimit(void)
{
	return "";
}
int chan_isihave(int c)
{
	return 0;
}
int chan_isready(int c)
{
	return 1;
}
int chan_outspeed(int c)
{
	return 1000000;
}

void sponser_enable_free(void)
{
	
}

int chan_ismore(int c)
{
	return 0;
}
chan_ihaveonly(int c)
{
	return 0;
}
int chan_nusers(void)
{
	return 0;
}
int imsgf(void)
{
	 return 0;
}
char *group_status(void){return 0;}
char *hist_status(void){return 0;}
int ihavein_clear(int i) {return 0;}
void chan_newchan(int c) {}
int chan_isfree(int c){return 1;}


int cmd_finish(int chan){return 1;}
char *chan_getipnum(int n)
{
	return "xxx";
}

void chan_init(int c)
{
}
void access_read(void)
{

}
void channel_read(int c)
{}
int chan_canpost(int c)
{
	return !0;
}
char *chan_getipname(int c)
{
	return "";
}
void chan_setipname(int c, char *s)
{
}
void chan_setipnum(int c, char *s)
{
}
int chan_cantalk(int c)
{
	return !0;
}
void suck_do(void) {}
char *group_namelc(int x) {return "nogroupname";}
char *group_namelc_x(int x,char *f, int n) {return "nogroupname";}
void stats_cmd(char *s) {}
void stats_end(char *s) {}
int group_getgroupid(int x) {return x;}

#ifdef XXKEY
char *key_make(int month, int year, int users, int flags, char *host)
{
	return "";
}
int key_test(char *k, int month, int year, int *users, int *flags, char *host, char *expires)
{
	return 1;
}
#endif


